Package org.apache.sysds.runtime.util

## Class EMAUtils

- java.lang.Object
- - org.apache.sysds.runtime.util.EMAUtils

-     public class EMAUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EMAUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.apache.sysds.runtime.util.EMAUtils.Container` | `double_exponential_smoothing​(Double[] data, Double alpha, Double beta)` |
    `static FrameBlock` | `exponentialMovingAverageImputation​(FrameBlock block, int search_iterations, String mode, int freq, Double alpha, Double beta, Double gamma)` |
    `static org.apache.sysds.runtime.util.EMAUtils.Container` | `single_exponential_smoothing​(Double[] data, Double alpha)` |
    `static org.apache.sysds.runtime.util.EMAUtils.Container` | `triple_exponential_smoothing​(Double[] data, Double alpha, Double beta, Double gamma, Integer freq)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMAUtils

          public EMAUtils()

  - ### Method Detail

    - #### exponentialMovingAverageImputation

          public static FrameBlock exponentialMovingAverageImputation​(FrameBlock block,
                                                                      int search_iterations,
                                                                      String mode,
                                                                      int freq,
                                                                      Double alpha,
                                                                      Double beta,
                                                                      Double gamma)

    - #### single_exponential_smoothing

          public static org.apache.sysds.runtime.util.EMAUtils.Container single_exponential_smoothing​(Double[] data,
                                                                                                      Double alpha)

    - #### double_exponential_smoothing

          public static org.apache.sysds.runtime.util.EMAUtils.Container double_exponential_smoothing​(Double[] data,
                                                                                                      Double alpha,
                                                                                                      Double beta)

    - #### triple_exponential_smoothing

          public static org.apache.sysds.runtime.util.EMAUtils.Container triple_exponential_smoothing​(Double[] data,
                                                                                                      Double alpha,
                                                                                                      Double beta,
                                                                                                      Double gamma,
                                                                                                      Integer freq)